compat-libwxGTK3.1-gtk2-devel-3.1.2-alt1.i586.rpm


Advertisement

Description

compat-libwxGTK3.1-gtk2-devel - Development files for the wxGTK3.1 library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename compat-libwxGTK3.1-gtk2-devel-3.1.2-alt1.i586.rpm
Package name compat-libwxGTK3.1-gtk2-devel
Package version 3.1.2
Package release alt1
Package architecture i586
Package type rpm
Category Development/C++
Homepage -
License -
Maintainer -
Download size 74.27 KB
Installed size 74.27 KB
This package include files needed to link with the wxGTK3.1 library.
wxWidgets is the GTK port of the C++ cross-platform wxWidgets
GUI library, offering classes for all common GUI controls as well as a
comprehensive set of helper classes for most common application tasks,
ranging from networking to HTML display and image manipulation.

Alternatives

Package Version Architecture Repository
compat-libwxGTK3.1-gtk2-devel-3.1.2-alt1.x86_64.rpm 3.1.2 x86_64 Classic
compat-libwxGTK3.1-gtk2-devel - - -

Requires

Name Value
compat-libwxGTK3.1-gtk2-gl = 3.1.2-alt1:sisyphus+236231.100.7.1
compat-libwxGTK3.1-gtk2-media = 3.1.2-alt1:sisyphus+236231.100.7.1
coreutils -
grep -
libwxBase3.1-devel = 3.1.2-alt1:sisyphus+236231.100.7.1
libwxGTK3.1-media = 3.1.2-alt1:sisyphus+236231.100.7.1
rpmlib(PayloadIsLzma) -
sed -

Provides

Name Value
compat-libwxGTK3.1-gtk2-devel = 3.1.2-alt1:sisyphus+236231.100.7.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package compat-libwxGTK3.1-gtk2-devel-3.1.2-alt1.i586.rpm
Source Package wxGTK3.1-3.1.2-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install compat-libwxGTK3.1-gtk2-devel rpm package:
    # sudo apt-get install compat-libwxGTK3.1-gtk2-devel

Files

Path
/usr/lib/libwx_gtk2u_adv-3.1.so
/usr/lib/libwx_gtk2u_aui-3.1.so
/usr/lib/libwx_gtk2u_core-3.1.so
/usr/lib/libwx_gtk2u_gl-3.1.so
/usr/lib/libwx_gtk2u_html-3.1.so
/usr/lib/libwx_gtk2u_media-3.1.so
/usr/lib/libwx_gtk2u_propgrid-3.1.so
/usr/lib/libwx_gtk2u_qa-3.1.so
/usr/lib/libwx_gtk2u_ribbon-3.1.so
/usr/lib/libwx_gtk2u_richtext-3.1.so
/usr/lib/libwx_gtk2u_stc-3.1.so
/usr/lib/libwx_gtk2u_xrc-3.1.so
/usr/lib/wx/config/gtk2-unicode-3.1
/usr/lib/wx/include/gtk2-unicode-3.1/
/usr/lib/wx/include/gtk2-unicode-3.1/wx/setup.h

Changelog

2019-06-06 - Anton Midyukov <antohami@altlinux.org> 3.1.2-alt1
- new version 3.1.2
2019-04-26 - Anton Midyukov <antohami@altlinux.org> 3.1.1-alt4
- switches for build with webkitgtk, SDL
- add compat with wxGTK3.0
2019-04-24 - Anton Midyukov <antohami@altlinux.org> 3.1.1-alt3.1
- enable_option_checking (only warnings) (Closes: 36662)
2019-04-01 - Anton Midyukov <antohami@altlinux.org> 3.1.1-alt3
- New subpackage libwxGTK3.1-webview
- New subpackage libwxGTK3.1-sound_sdlu
- Fix build without compat
2019-01-02 - Anton Midyukov <antohami@altlinux.org> 3.1.1-alt2.2
- Fix /usr/bin/wx-config (create symlink)
2018-12-31 - Anton Midyukov <antohami@altlinux.org> 3.1.1-alt2.1
- Drop update-alternatives
2018-10-24 - Anton Midyukov <antohami@altlinux.org> 3.1.1-alt2
- Disabled build options: stl, std_containers, std_string_conv_in_wxstring
2018-08-04 - Anton Midyukov <antohami@altlinux.org> 3.1.1-alt1
- New version 3.1.1 (build of a tag) (ALT#33929)
- New separate packages compatible gtk2
- Build with SDL2
- Build with libwebkit2gtk (ALT#34923)
2018-05-26 - Vitaly Lipatov <lav@altlinux.ru> 3.1.0-alt9
- remove python-module-PyDSTool requires from -devel subpackage (ALT bug 33882)
2017-03-10 - Vladimir D. Seleznev <vseleznv@altlinux.org> 3.1.0-alt8
- Built against GStreamer 1.0.
- clearly mark to build with GCC/G++ 5.

See Also

Package Description
compat-libwxGTK3.1-gtk2-gl-3.1.2-alt1.i586.rpm OpenGL add-on for the wxWidgets library
compat-libwxGTK3.1-gtk2-media-3.1.2-alt1.i586.rpm Multimedia add-on for the wxWidgets library
compiz-0.9.14.0-alt1.i586.rpm OpenGL window and compositing manager
compton-5.1-alt1.i586.rpm fork of xcompmgr
compton-conf-0.14.1-alt1.i586.rpm GUI configuration tool for compton X composite manager
conflict-6.2-alt1_20040901.qa1.i586.rpm displays conflicting filenames in your execution path
conky-1.9.0-alt2.i586.rpm lightweight graphical system monitor
conky-manager-2.4-alt1.i586.rpm A simple GUI for managing Conky config files
conmon-2.1-alt1.i586.rpm OCI container runtime monitor
connman-1.37-alt1.i586.rpm ConnMan is a daemon for managing internet connections
connman-devel-1.37-alt1.i586.rpm Include files for development with ConnMan Library
conntrack-tools-1.4.5-alt2.i586.rpm Tool to manipulate netfilter connection tracking table
conserver-8.2.2-alt1.i586.rpm Serial console server daemon/client
conserver-client-8.2.2-alt1.i586.rpm Serial console client
console-vt-tools-2.0.4-alt3.i586.rpm Tools to control VTs (virtual terminals) on the Linux console
Advertisement
Advertisement